#include "LottoManCEDoc.h"

class CResultsDlg : public CDialog
{
public:
	CResultsDlg(CWnd* pParent = NULL);   // standard constructor

enum ResultsType
{
  Lotto,
  Plus1,
  Plus2,
};

  CLottoManDoc* m_pDoc;  

protected:
	//{{AFX_DATA(CResultsDlg)
	enum { IDD = IDD_RESULTS };
	CEdit	m_ctrlResults;
	int		m_nNum1;
	int		m_nNum2;
	int		m_nNum3;
	int		m_nNum4;
	int		m_nNum5;
	int		m_nNum6;
	int		m_nNum7;
	//}}AFX_DATA

  CString ParseForResultsHtml(const CString& sFile, ResultsType type);
  BOOL ParseResults(const CString& sHtml);
  void DoLottoUpdateFromWeb(ResultsType type);

	//{{AFX_VIRTUAL(CResultsDlg)
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CResultsDlg)
	afx_msg void OnCheck();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

