#include "stdafx.h"
#include "LottoManCE.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


#define PSPC_TOOLBAR_HEIGHT 24

const DWORD dwAdornmentFlags = 0; // exit button

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

CMainFrame::CMainFrame()
{
}

CMainFrame::~CMainFrame()
{
}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
  //Let the base class do its thing
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;

  //Setup the command bar
	m_wndCommandBar.m_bShowSharedNewButton = FALSE;
	if (!m_wndCommandBar.Create(this) ||
	    !m_wndCommandBar.InsertMenuBar(IDR_MAINFRAME) /*||
	    !m_wndCommandBar.AddAdornments() ||
	    !m_wndCommandBar.LoadToolBar(IDR_MAINFRAME) ||
		  !m_wndCommandBar.SendMessage(TB_SETTOOLTIPS, (WPARAM)(6), (LPARAM)(&m_ToolTipsTable[1]))*/)
	{
		TRACE0("Failed to create CommandBar\n");
		return -1;      // fail to create
	}
	//m_wndCommandBar.SetBarStyle(m_wndCommandBar.GetBarStyle() |	CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_FIXED);

  //Setup the toolbar
  /*
	m_ToolTipsTable[0] = MakeString(IDS_FILE_CHECK_RESULTS);
	m_ToolTipsTable[1] = MakeString(IDS_FILE_DELETE);
	m_ToolTipsTable[2] = MakeString(IDS_FILE_PROPERTIES);
	m_ToolTipsTable[3] = MakeString(IDS_VIEW_LARGEICONS);
	m_ToolTipsTable[4] = MakeString(IDS_VIEW_SMALLICONS);
	m_ToolTipsTable[5] = MakeString(IDS_VIEW_LIST);
	m_ToolTipsTable[6] = MakeString(IDS_VIEW_DETAILS);
  m_ToolTipsTable[7] = MakeString(IDS_APP_ABOUT);
  m_ToolTipsTable[8] = MakeString(IDS_HELP_INDEX);
  */
	if (!m_wndToolBar.Create(this) ||	!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}
	m_wndToolBar.SetBarStyle(m_wndToolBar.GetBarStyle() |	CBRS_TOOLTIPS | CBRS_FLYBY);
  //m_wndToolBar.SendMessage(TB_SETTOOLTIPS, NUM_TOOL_TIPS, (LPARAM)(&m_ToolTipsTable[0]));

	return 0;
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
  //Let the base class do its thing
	if (!CFrameWnd::PreCreateWindow(cs))
		return FALSE;

	return TRUE;
}

/*
LPTSTR CMainFrame::MakeString(UINT stringID)
{
	TCHAR buffer[255];
	TCHAR* theString;

	::LoadString(AfxGetInstanceHandle(), stringID, buffer, 255);
	theString = new TCHAR[lstrlen(buffer) + 1];
	lstrcpy(theString, buffer);
	return theString;
} 
*/

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}
#endif //_DEBUG

